# Google Dataflow API . projects . jobs . messages

## Instance Methods

Request the job status.

Retrieves the next page of results.

### Method Details

`list(projectId, jobId, startTime=None, pageSize=None, x__xgafv=None, pageToken=None, location=None, minimumImportance=None, endTime=None)`

    Request the job status.

    Args:
      projectId: string, A project id. (required)
      jobId: string, The job to get messages about. (required)
      startTime: string, If specified, return only messages with timestamps >= start_time. The default is the job creation time (i.e. beginning of messages).
      pageSize: integer, If specified, determines the maximum number of messages to return. If unspecified, the service may choose an appropriate default, or may return an arbitrarily large number of results.
      x__xgafv: string, V1 error format.
      pageToken: string, If supplied, this should be the value of next_page_token returned by an earlier call. This will cause the next page of results to be returned.
      location: string, The location which contains the job specified by job_id.
      minimumImportance: string, Filter to only get messages with importance >= level
      endTime: string, Return only messages with timestamps < end_time. The default is now (i.e. return up to the latest messages available).

    Returns:
      An object of the form:

        { # Response to a request to list job messages.
        "nextPageToken": "A String", # The token to obtain the next page of results if there are more.
        "jobMessages": [ # Messages in ascending timestamp order.
          { # A particular message pertaining to a Dataflow job.
            "messageImportance": "A String", # Importance level of the message.
            "messageText": "A String", # The text of the message.
            "id": "A String", # Identifies the message. This is automatically generated by the service; the caller should treat it as an opaque string.
            "time": "A String", # The timestamp of the message.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.